<?php 
date_default_timezone_set("Asia/Kolkata");
header("Access-Control-Allow-Origin:*");

include("../common_function.php");

$i=0;
$output = ''; 


$sqlDc = "SELECT * from dc_entry_creation where dc_number = '$_POST[dc_number]' and out_pass_status = '0'";
$queryDc = $conn->prepare($sqlDc);
$queryDc->execute();   

while ($resultDc = $queryDc->fetch()) {

	$receiptAmount = 0;
	$prodData = array();
	$dcNum = '"'.$resultDc['dc_number'].'"';
	$type = $resultDc['vehicle_type'];
	$vehicle_no = '';

	$customer_slip='';
	$driver_name='';
	$tripAssignNo = $resultDc['trip_assign_no'];
	$dcDateTime = $resultDc['entry_date'];



	if($type == 'company'){

		$vehicle_no = get_vehicle_no($resultDc['truck_id']);
		$driver_name = get_driver_name($resultDc['driver_id']);

	}
	elseif($type == 'private'){

		$vehicle_no = get_private_vehicle_no($resultDc['truck_id']).' (Private)';
		$driver_name = get_private_driver_name($resultDc['driver_id']).' (Private)';

	}

	
	$sqlTrip = "SELECT prod_id,uom_id,load_qty,amount,tax_per from assign_trip_sub where trip_no='$resultDc[trip_assign_no]' and delete_status='0' and dc_cancel_status='0'";	
	$queryTrip = $conn->prepare($sqlTrip);
	$queryTrip->execute();

	$i = 0;
	$product = '';

	while ($resultTrip = $queryTrip->fetch()) {

		$product .= get_product_name($resultTrip['prod_id'])."\n";

		$prodData[$i]["qty"] = $resultTrip['load_qty'];
		$prodData[$i]["uom"] = $resultTrip['uom_id'];

		$i++;

	}

	
	$qty_uom = '';

	foreach ($prodData as $key => $value) {
		
		$qty_uom .= $value['qty']." ( ".get_uom_name($value['uom'])." )\n";


	}

	$delivery_site_id_site = delivery_site($resultDc['delivery_site_id']);
	$customer_id = get_customer_name($resultDc['customer_id']);
	$staff_id = get_branch_staff_name($resultDc['staff_id']);


	$customermobile = "SELECT mobile_no from customer_creation where customer_id='$resultDc[customer_id]' and delete_status='0'";
	$mobile = $conn->prepare($customermobile);
	$mobile->execute();
	$mobile_main = $mobile->fetch();


	$customer_slip = "Customer Slip\n-----------------------\nDc No : ".$resultDc['dc_number']."\nD & T : ".date("d-m-Y h:i:s A",strtotime($resultDc['entry_date']))."\nCustomer : ".$customer_id."\nSite : ".$delivery_site_id_site."\nMobile : ".$mobile_main[mobile_no]."\nRef : ".$staff_id."\nProduct : \n".$product."Qty : \n".$qty_uom."Truck No : ".$vehicle_no."\nDriver : ".$driver_name."\n-----------------------\n";

	if($type == 'company'){

		$customer_slip .= "\nDelivery Return Slip\n-----------------------\nDc No : ".$resultDc['dc_number']."\nD & T : ".date("d-m-Y h:i:s A",strtotime($resultDc['entry_date']))."\nCustomer : ".$customer_id."\nSite : ".$delivery_site_id_site."\nMobile : ".$mobile_main[mobile_no]."\nRef : ".$staff_id."\nProduct : \n".$product."Qty : \n".$qty_uom."Truck No : ".$vehicle_no."\nDriver : ".$driver_name."\nPrinted Time : ".date("d-m-Y h:i:s A")."\nCustomer Sign :\n\n-----------------------\n";
	}

	$customer_slip .= "\nGate Pass Slip\n-----------------------\nDc No : ".$resultDc['dc_number']."\nD & T : ".date("d-m-Y h:i:s A",strtotime($resultDc['entry_date']))."\nCustomer : ".$customer_id."\nSite : ".$delivery_site_id_site."\nMobile : ".$mobile_main[mobile_no]."\nRef : ".$staff_id."\nProduct : \n".$product."Qty : \n".$qty_uom."Truck No : ".$vehicle_no."\nDriver : ".$driver_name."\nPrinted Time : ".date("d-m-Y h:i:s A")."\n-----------------------\n\n";

}

if($type == 'company'){

	$selectCount = "SELECT outpass_id from outpass_entry where trip_assign_no='$tripAssignNo' and approve_status='1'";
	$queryCount = $conn->prepare($selectCount);
	$queryCount->execute();

	$outpassCount = $queryCount->rowCount();
	$curDate = date("Y-m-d H:i:s");
	$curTime = date("H:i:s");

	if($outpassCount == '0'){

		$upOutpass = "UPDATE outpass_entry set  approve_status='1',approve_date='$curDate',out_pass_status='1' where trip_assign_no = '$tripAssignNo'";
		$queryOutpass = $conn->prepare($upOutpass);
		$queryOutpass->execute();

		$updateDc = "UPDATE dc_entry_creation set out_pass_status = '1' where dc_number = '$_POST[dc_number]'";
		$queryDcupdate = $conn->prepare($updateDc);
		$queryDcupdate->execute();

		$updatetrip = "UPDATE assign_trip_details set out_pass_status = '1',out_time = '$curTime' where trip_assign_no = '$tripAssignNo' and delete_status = '0'";
		$queryTripUp = $conn->prepare($updatetrip);
		$queryTripUp->execute();


		$messageType = "Gate Pass Out";
		include("whatsapp_message.php");

	}

}elseif($type == 'private'){

	$updateDc = "UPDATE dc_entry_creation set out_pass_status = '1',in_pass_status ='1' where dc_number = '$_POST[dc_number]'";
	$queryDcupdate = $conn->prepare($updateDc);
	$queryDcupdate->execute();

	$updatetrip = "UPDATE assign_trip_details set out_pass_status = '1',out_time = '$curTime',trip_comp_status='1' where trip_assign_no = '$tripAssignNo' and delete_status = '0'";
	$queryTripUp = $conn->prepare($updatetrip);
	$queryTripUp->execute();


}

$myObj->design = $customer_slip;


echo json_encode($myObj);

?>